Upgrading RUEI From 12.1.0.7 to 13.1.1.1 - Processor Upgrade Failing On Dependencies

(Doc ID 2253195.1)

Last updated on APRIL 07, 2017

Applies to:

APM - Application Performance Management - Version 12.1.0.7.0 to 13.1.1.0.0 [Release 12.1 to 13.1]
Information in this document applies to any platform.

Goal

Customer was following this section of the RUEI Installation Guide:

3.12 Upgrading From RUEI 12.1.0.x to 13.1.1.1
http://docs.oracle.com/cd/E63000_01/SRUNI/upgrading.htm#CEGBEEHJ

Specifically, Step #11:

For each required Processing Engine system, perform the steps described in Section 3.12.3, "Upgrading the Processing Engine System(s) from RUEI 12.1.0.x".

But the following error appeared:

[root@ruei01] ,/ruei-install.sh processor

error: Failed dependencies:
ux-core < 12.2 is needed by (installled) ux-gui-12.1.0.7.4-20150715.el6.x86_65
ux-generic < 12.2 is needed by (installled) ux-gui-12.1.0.7.4-20150715.el6.x86_65
error - installation failed

 

What went wrong?


 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms